Update a Meeting
curl --request PUT \
--url https://api.sakari.io/v1/accounts/{accountId}/meetings/{meetingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"calendar": {
"connection": {
"id": "<string>",
"connectedAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"email": "<string>"
}
}
},
"hosts": [
{
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs"
}
],
"attendees": [
{
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs"
}
],
"cancelled": true,
"notes": "<string>"
}
'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/meetings/{meetingId}"
payload = {
"id": "<string>",
"name": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"calendar": { "connection": {
"id": "<string>",
"connectedAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"email": "<string>"
}
} },
"hosts": [
{
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs"
}
],
"attendees": [
{
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs"
}
],
"cancelled": True,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
calendar: {
connection: {
id: '<string>',
connectedAt: '2023-11-07T05:31:56Z',
user: {id: '<string>', email: '<string>'}
}
},
hosts: [{email: 'chris@sakari.io', firstName: 'Chris', lastName: 'Bloggs'}],
attendees: [{email: 'chris@sakari.io', firstName: 'Chris', lastName: 'Bloggs'}],
cancelled: true,
notes: '<string>'
})
};
fetch('https://api.sakari.io/v1/accounts/{accountId}/meetings/{meetingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"calendar": {
"connection": {
"id": "<string>",
"connectedAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"email": "<string>"
}
}
},
"hosts": [
{
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
}
}
],
"attendees": [
{
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
}
}
],
"cancelled": true,
"notes": "<string>",
"conferencing": {
"provider": "<string>",
"joinUrl": "<string>"
}
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}meetings
Update a Meeting
PUT
/
v1
/
accounts
/
{accountId}
/
meetings
/
{meetingId}
Update a Meeting
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
The ID of the meeting to fetch
Body
application/json
⌘I